Skip to main content
POST
/
v3
/
async
/
kling-o1-t2v
Kling-o1 Text to Video
curl --request POST \
  --url https://api.novita.ai/v3/async/kling-o1-t2v \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "prompt": "<string>",
  "duration": 123,
  "aspect_ratio": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/kling-o1-t2v"

payload = {
"prompt": "<string>",
"duration": 123,
"aspect_ratio": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({prompt: '<string>', duration: 123, aspect_ratio: '<string>'})
};

fetch('https://api.novita.ai/v3/async/kling-o1-t2v', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
Kling Omni Video O1 is Kuaishou’s first unified multimodal video model using MVL (Multimodal Vision Language) technology. Its text-to-video mode can generate cinematic videos based on text prompts while maintaining subject consistency, natural physical simulation, and precise semantic understanding.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

prompt
string
required
The positive prompt for the generation.
duration
integer
default:5
The duration of the generated media in seconds.Optional values: 5, 10
aspect_ratio
string
default:"16:9"
The aspect ratio of the generated video.Optional values: 16:9, 9:16, 1:1

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on December 5, 2025